%define	upstream_name	 Crypt-Random
%define	upstream_version 1.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} Perl module
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://search.cpan.org/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Statistics::ChiSquare) >= 1.0.0
BuildArch:  noarch

%description
Crypt::Random is an interface module to the /dev/random device found on most
modern Unix systems. The /dev/random driver gathers environmental noise from
various non-deterministic sources including inter-keyboard timings and
inter-interrupt timings that occur within the operating system environment.
The /dev/random driver maintains an estimate of true randomness in the pool and
decreases it every time random strings are requested for use. When the estimate
goes down to zero, the routine blocks and waits for the occurrence of
non-deterministic events to refresh the pool.
The /dev/random kernel module also provides another interface, /dev/urandom,
that does not wait for the entropy-pool to recharge and returns as many bytes
as requested. /dev/urandom is considerably faster at generation compared to
/dev/random, which should be used only when very high quality randomness is
desired.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_bindir}/*
%{perl_vendorlib}/Crypt/*.pm
%{perl_vendorlib}/Crypt/Random
%{_mandir}/*/*

%changelog
* Fri Feb 07 2025 tv <tv> 1.560.0-1.mga10
+ Revision: 2145945
- update to 1.56

* Mon Mar 21 2022 umeabot <umeabot> 1.540.0-2.mga9
+ Revision: 1814557
- Mageia 9 Mass Rebuild

* Sun Jun 06 2021 tv <tv> 1.540.0-1.mga9
+ Revision: 1729873
- update to 1.54

* Fri Feb 14 2020 umeabot <umeabot> 1.520.0-2.mga8
+ Revision: 1521530
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Dec 28 2018 tv <tv> 1.520.0-1.mga7
+ Revision: 1345394
- update to 1.52

* Wed Sep 19 2018 umeabot <umeabot> 1.250.0-8.mga7
+ Revision: 1266803
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.250.0-7.mga6
+ Revision: 1024577
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.250.0-6.mga6
+ Revision: 946803
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.250.0-5.mga5
+ Revision: 742138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.250.0-4.mga5
+ Revision: 684060
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.250.0-3.mga4
+ Revision: 510331
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.250.0-2.mga3
+ Revision: 364963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 26028
- mageia rebuild
- imported package perl-Crypt-Random

